# qdbm::DBM_error Class Reference

Error container for ADBM. More...

Inheritance diagram for qdbm::DBM_error:

List of all members.

## Public Member Functions

| DBM_error () throw ()
| Create an instance.
| DBM_error (const char *message) throw ()
| Create an instance.
virtual | ~DBM_error () throw ()
| Release resources of the instance.
virtual | operator const char * () const throw ()
| Cast operator into pointer to char.
virtual const char * | message () const throw ()
| Get the message.

## Detailed Description

Error container for ADBM.

## Constructor & Destructor Documentation

qdbm::DBM_error::DBM_error | ( | const char * | message | ) | throw ()

Create an instance.

Parameters:

  | message | the string of a error message.

## Member Function Documentation

virtual const char* qdbm::DBM_error::message | ( |  | ) | const throw ()`[virtual]`

Get the message.

Returns:
  the pointer to the string.

Reimplemented in qdbm::Curia_error, qdbm::Depot_error, and qdbm::Villa_error.

virtual qdbm::DBM_error::operator const char * | ( |  | ) | const throw ()`[virtual]`

Cast operator into pointer to char.

Returns:
  the pointer to the string.

Reimplemented in qdbm::Curia_error, qdbm::Depot_error, and qdbm::Villa_error.

The documentation for this class was generated from the following file:

- xadbm.h